import java.awt.BorderLayout;
import java.awt.GraphicsConfiguration;
import java.awt.Panel;

import javax.media.j3d.Canvas3D;

import com.sun.j3d.utils.universe.SimpleUniverse;

/*
 * Created on 17.03.2005
 *
 */

/**
 * @author Martin Hedler
 *
 */
public class Panel3D extends Panel
{
    private SimpleUniverse universe;
    
    public Panel3D()
    {
        // Universum erstellen
        this.universe = createUniverse();
    }
    
    /**
     * Erstellt und initialisiert ein SimpleUniverse Objekt.
     * 
     * @return Das erstellte SimpleUniverse Objekt.
     */
    private SimpleUniverse createUniverse()
    {
        SimpleUniverse universe;

        // Basiskonfiguration laden
        GraphicsConfiguration config =
            SimpleUniverse.getPreferredConfiguration();

        // Zeichenflaeche erstellen
        Canvas3D canvas = new Canvas3D(config);

        // Layout setzen
        setLayout(new BorderLayout());

        // Zeichenflaeche in Panel einfeugen
        super.add("Center", canvas);

        // Universum erstellen
        universe = new SimpleUniverse(canvas, 2);

        return universe;
    }
    
    public SimpleUniverse getUniverse()
    {
        return universe;
    }
}
