/*
 * Created on 12.10.2004
 *
 */
package physics;

import javax.media.j3d.Node;
import javax.vecmath.Point3f;
import javax.vecmath.Vector3f;

/**
 * Enth&auml;lt die Daten einer Kollision.
 * 
 * @author Martin Hedler
 * @version 1.0 (2005/04/25)
 */
public class Collision
{
    /** Erster Node, welcher an der Kollision beteiligt ist. */
    public Node node1;

    /** Zweiter Node, welcher an der Kollision beteiligt ist. */
    public Node node2;
    
    /** Kollisionsnormale */
    public Vector3f normal;
    
    /** Kollisionspunkt */
    public Point3f point;
    
    /**
     * Initialisiert ein Collision Objekt. Der Kollisionspunkt und die
     * Kollisionnormale sind 0.
     */
    public Collision()
    {
        normal = new Vector3f();
        point = new Point3f();
    }

    /*
     * (non-Javadoc)
     * @see java.lang.Object#toString()
     */
    public String toString()
    {
        StringBuffer buffer = new StringBuffer();
        buffer.append("(");buffer.append(node1);
        buffer.append(", ");buffer.append(node2);
        buffer.append(")\nPoint: ");buffer.append(point);
        buffer.append("\nNormal: ");buffer.append(normal);
        return buffer.toString();
    }
}
