package physics;
import javax.media.j3d.Appearance;
import javax.media.j3d.Material;
import javax.media.j3d.Node;

import com.sun.j3d.utils.geometry.Box;

/*
 * Created on 20.10.2004
 *
 */

/**
 * K&ouml;rper mit der Ausdehnung (Geometrie) eines W&uuml;rfels.
 * 
 * @author Martin Hedler
 * @version 1.0 (05/04/25)
 */
public class DynamicCube extends DynamicTransformGroup
{
    /**
     * Erstellt eine Instanz dieser Klasse.
     * 
     * @param s Seitenl&auml;nge des W&uuml;rfels.
     */
    public DynamicCube(float s)
    {
        super();
        Appearance app = new Appearance();
        app.setMaterial(new Material());
        this.addChild(new Box(s / 2f, s / 2f, s / 2f, Box.GENERATE_NORMALS, app));
    }

    /**
     * Gibt eine Referenz auf das <code>Box</code> Objekt zur&uuml;ck.
     * 
     * @return Das <code>Box</code> Objekt.
     */
    public Box getBox()
    {
        return (Box) getChild(0);
    }

    /* (non-Javadoc)
     * @see javax.media.j3d.Node#cloneNode(boolean)
     */
    public Node cloneNode(boolean arg0)
    {
        DynamicCube newDynCu =
            new DynamicCube(((Box) getChild(0)).getXdimension());
        newDynCu.duplicateNode(this, arg0);
        return newDynCu;
    }

}