package physics;
import javax.media.j3d.Node;

import com.sun.j3d.utils.geometry.Sphere;

/*
 * Created on 20.10.2004
 *
 */

/**
 * K&ouml;rper mit der Ausdehnung (Geometrie) einer Kugel.
 * 
 * @author Martin Hedler
 * @version 1.0 (2005/04/25)
 */
public class DynamicSphere extends DynamicTransformGroup
{
    /**
     * Erstellt eine Instanz dieser Klasse.
     * 
     * @param radius Der Radius der Kugel.
     */
    public DynamicSphere(float radius)
    {
        super();
        this.addChild(new Sphere(radius));
    }

    /**
     * Gibt eine Referenz auf das <code>Sphere</code> Objekt zur&uuml;ck.
     * 
     * @return Das <code>Sphere</code> Objekt.
     */
    public Sphere getSphere()
    {
        return (Sphere) getChild(0);
    }

    /* (non-Javadoc)
     * @see javax.media.j3d.Node#cloneNode(boolean)
     */
    public Node cloneNode(boolean arg0)
    {
        DynamicSphere newDynSp =
            new DynamicSphere(((Sphere) getChild(0)).getRadius());
        newDynSp.duplicateNode(this, arg0);
        return newDynSp;
    }

}